
def predict_lightgbm(input_features, model):
    """
    Predicts the class or value for a given set of features using a trained LightGBM model.
    
    :param input_features: A list or array of input features.
    :param model: A trained LightGBM model.
    :return: The predicted class or value.
    """
    import lightgbm as lgb
    prediction = model.predict([input_features])
    return prediction[0]



